import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);

let routes = [
  {
    alias: "/",
    path: "/Home",
    name: "home",
    meta: { keepAlive: true },
    component: () => import("@/views/home")
  },
  {
    path: "/Answer-Recruit",
    name: "answer-recruit",
    component: () => import("@/views/home/answer/page-answer-recruit")
  }, // 竞赛答题页
  {
    path: "/ExamDetail",
    name: "ExamDetail",
    component: () => import("@/views/home/exam/page-exam-item-detail")
  }, // 单个考试的详情页
  {
    path: "/Exam",
    name: "Exam",
    component: () => import("@/views/home/exam/page-exam-item-doing")
  }, // 单个考试的试卷页
  {
    path: "/Learn-Content",
    name: "learn-content",
    component: () => import("@/views/home/learn/page-learn-content")
  } // 学习内容页
];

export default new Router({
  mode: "history",
  routes,
  scrollBehavior(to, from, savedPosition) {
    if (savedPosition) {
      return savedPosition;
    } else {
      if (from.meta.keepAlive) {
        const selector = document.getElementById("scrollbar") || {};
        from.meta.savedPosition = selector.scrollTop || 0;
      }
      return { x: 0, y: to.meta.savedPosition || 0 };
    }
  }
});
